<?php

namespace PaymentWebhooks\Contract;

interface OrderUpdaterInterface
{
    // Update WooCommerce order status
    public function update(?int $orderId, string $newStatus): void;

    // Update payment details (payment method, method title and transaction id)
    public function updatePaymentData(?int $orderId, array $data): void;
}
